<?php

namespace App\Console\Commands;

use App\MotherNotification;
use App\Notification;
use Illuminate\Console\Command;

class MotherNotificationCommand extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'mother:notifications_dates';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Sending notification for mothers';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $mother_notifications=MotherNotification::where("mother_date",date("Y-m-d"))->get();
        foreach ($mother_notifications as$key=>$mother_notification){
            $title=GetSettingByKey("month_title_".$mother_notification->month)??"You Are In Month".$mother_notification->month;
            $description=GetSettingByKey("month_description_".$mother_notification->month)??"You Are In Month".$mother_notification->month;
            $notification=new Notification();
            $notification->title=$title;
            $notification->description=$description;
            $notification->user_id=$mother_notification->user->id;
            $notification->save();
            firebasePublish($mother_notification->user,
                ['title'=>$title,'body' =>$description,'image' => asset('images/app_logo.png'),],
                ['target' => 'notifications', 'target_id' => null]);
        }
    }
}
