<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Gallery extends Translatable
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable=[
        'title',
        'image',
    ];
    /**
     * The attributes that are translatable
     *
     * @var array
     */
    protected $translatable=[
        'title',
    ];

    /**
     * This attribute function for returning the value of Name.  => { title_val }
     * Used only at [ Show Mode ]
     *
     * @var String
     */
    public function getTitleValAttribute()
    {
        return $this->attributes['title'] ? VarByLang(getData(collect($this),"title")) : 'N/A';
    }
}
