<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class HospitalBagListProcess extends Translatable
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable=[
        'name',
        'hospital_bag_list_id'
    ];
    /**
     * The attributes that are translatable
     *
     * @var array
     */
    protected $translatable=[
        'name',
    ];
    /************************************************************************/
    /****************************** Relations *******************************/
    /************************************************************************/
    /**
     * clinicWorkingDays Relationship.
     *
     * @return BelongsTo
     **/

    public function hospitalBagList() : BelongsTo
    {
        return $this->belongsTo(HospitalBagListProcess::class,'hospital_bag_list_id','id');
    }
    /**
     * This attribute function for returning the value of Name.  => { name_val }
     * Used only at [ Show Mode ]
     *
     * @var String
     */
    public function getNameValAttribute()
    {
        return $this->attributes['name'] ? VarByLang(getData(collect($this),"name")) : 'N/A';
    }
}
