<?php

namespace App\Http\Controllers\Admin\Resource;

use App\Http\Controllers\Controller;
use App\Http\Requests\Admin\AdminProfileRequest;
use App\Repositories\Contract\AdminRepository;

class AdminProfileController extends Controller
{

    /**
     * View Path.
     *
     * @var string
     */
    private $viewPath = 'profile';


    /**
     * @param AdminRepository $repository
     */
    public function __construct(AdminRepository $repository)
    {
        $this->repository = $repository;
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function edit()
    {
        $id=auth()->user()->id;

        $edit = $this->repository->find($id);
        if ($edit) {
            return view("backend.{$this->viewPath}.edit", [
                'title' => __('main.edit') . ' ' . __('main.profile'),
                'edit' => $edit,
            ]);
        }
    }

    /**
     * store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function update(AdminProfileRequest $request)
    {
        $id=auth()->user()->id;

        $store = $this->repository->update($id,$request->all());

        if (!$store) {
            return $this->apiResponse(__('main.faild_create'), true, 422);
        }
        return $this->apiResponse($store, true, 200);
    }
}
