<?php

namespace App\Http\Controllers\Admin\SAC;

use App\Booking;
use App\Events\SendNotificationBookingStatusEvent;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class BookingOperation extends Controller
{
    /**
     * Handle the incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function __invoke(Booking $booking,Request $request)
    {
        if($request->filled('operation') && $request->operation=='attendance_approve'){
            $booking->attendance_at=date("Y-m-d H:i:s");
            $booking->save();
            $bookings=Booking::where('appointment_date',date("Y-m-d"))->with('patient')->get();
            event(new SendNotificationBookingStatusEvent($bookings));
            event(new \App\Events\RefreshEvent($booking));

        }
        elseif($request->filled('operation') && $request->operation=='share_to_doctor'){
            Booking::where('appointment_date',date("Y-m-d"))->whereNotNull("view_to_doctor_at")->update(['finish_at_doctor'=>date("Y-m-d H:i:s")]);
            $booking->view_to_doctor_at=date("Y-m-d H:i:s");
            $booking->save();
            $bookings=Booking::where('appointment_date',date("Y-m-d"))->with('patient')->get();
            event(new SendNotificationBookingStatusEvent($bookings));
            event(new \App\Events\RefreshEvent($booking));

        }
        elseif($request->filled('operation') && $request->operation=='attendance_cancel'){
            $booking->attendance_at=null;
            $booking->save();
            $bookings=Booking::where('appointment_date',date("Y-m-d"))->with('patient')->get();
            event(new SendNotificationBookingStatusEvent($bookings));
            event(new \App\Events\RefreshEvent($booking));
        }
        elseif($request->filled('operation') && $request->operation=='finish_at_doctor'){
            $booking->finish_at_doctor=date("Y-m-d H:i:s");
            $booking->save();
            $bookings=Booking::where('appointment_date',date("Y-m-d"))->with('patient')->get();
            event(new SendNotificationBookingStatusEvent($bookings));
            event(new \App\Events\RefreshEvent($booking));
            //return $this->apiResponse($booking,true,200);
        }elseif ($request->filled('operation') && $request->operation=='view_to_doctor_cancel'){
            $booking->view_to_doctor_at=null;
            $booking->finish_at_doctor=null;
            $booking->save();
            $bookings=Booking::where('appointment_date',date("Y-m-d"))->with('patient')->get();
            event(new SendNotificationBookingStatusEvent($bookings));
            event(new \App\Events\RefreshEvent($booking));
            //return $this->apiResponse($booking,true,200);
        }
        return  back();
       // return $this->apiResponse($booking,true,200);
    }
}
