<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Http\Resources\ReviewResource;
use App\Repositories\Contract\ReviewRepository;
use Illuminate\Http\Request;

class GetReviewsController extends Controller
{
    /**
     * Handle the incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Repositories\Contract\ReviewRepository  $repository
     * @return \Illuminate\Http\Response
     */
    public function __invoke(Request $request,ReviewRepository $repository)
    {
        $data=$repository->instance()->orderBy('id','desc')->paginate();

        $dataResource=ReviewResource::collection($data);

        return $this->apiResponse($dataResource);
    }
}
