<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Http\Requests\Api\SocialMediaAuthLoginRequest;
use App\Http\Requests\Api\SocialMediaAuthRegisterRequest;
use App\Http\Resources\UserResource;
use App\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;

class SocialMediaAuthController extends Controller
{
    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(SocialMediaAuthRegisterRequest $request,User $user)
    {
        $request['type']="user";

        $requestData=$request->all();

        $user = $user->updateOrCreate(['email'=>$request->email],$requestData);
        if ($user) {
            Auth::login($user);
            $token = Auth::user()->createToken(env('APP_KEY'))->accessToken;
            $data["token"]=$token;
            $data["user"]=new UserResource($user);
            return $this->apiResponse($data, true, 200);
        }
        return $this->apiResponse("Problem occures during the process. User not addedd", true, 406);
    }
    /**
     * login to account.
     *
     * @param  \Illuminate\Http\Reequest  $request
     * @return \Illuminate\Http\Response
     */
    public function login(SocialMediaAuthLoginRequest $request)
    {
        $loginType=$request->type;

        if($loginType=="facebook"){
            $request['facebook_token']=$request->token;
        }
        elseif ($loginType=="google"){
            $request['google_token']=$request->token;
        }
        elseif ($loginType=="apple"){
            $request['apple_token']=$request->token;
        }

        $credentials=$request->except(['fcm_token','token','type']);
        $user=User::where($credentials)->first();

        if ($user) {
            Auth::login($user);
            $token = Auth::user()->createToken(env('APP_KEY'))->accessToken;
        }
        else{
            return response()->json([
                'message' => 'Error In Email OR Password'
            ], 401);
        }
        $user = auth()->user();

        $user->fcm_token=$request->fcm_token;

        $user->save();

        $data["token"] = $token;

        $data["user"]=new UserResource($user);

        return $this->apiResponse($data, true, 200);
    }
}
