<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Http\JsonResponse;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
    /**
     * Handeling ApiResponse.
     *
     * @param  mixed   $data
     * @param  boolean $success
     * @param  integer $statusCode
     * @param  array   $errors
     * @return JsonResponse
     */
    public function apiResponse($data, bool $success = true, int $statusCode = 200, array $errors = []) : JsonResponse
    {
        return response()->json([
            'status' => $statusCode,
            'success' => $success,
            'payload' => $data,
            'errors' => $errors,
        ], $statusCode);
    }
    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $ids = [];

        if (request()->has('ids')) {
            $ids = request('ids');
        }

        $delete = $this->repository->delete($ids ?: $id);

        if (request()->ajax()) {
            return $this->apiResponse("Data Deleted Successfully");
        }

        if (!$delete) {
            return redirect()->route("{$this->resourceRoute}.index");
        }

        return redirect()->route("{$this->resourceRoute}.index");
    }
}
