<?php

namespace App\Http\Requests\Admin;

use Illuminate\Foundation\Http\FormRequest;

class ClinicRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'name'=>["required"],
            'description'=>['sometimes','nullable'],
            'address'=>['sometimes','nullable'],
            'instgram'=>['sometimes','nullable','url'],
            'facebook'=>['sometimes','nullable','url'],
            'youtube'=>['sometimes','nullable','url'],
            'mobile'=>['sometimes','nullable','numeric'],
            'whats'=>['sometimes','nullable','numeric'],
            'working_days'=>['required','array'],
            'patient_type_price'=>['required','array'],
        ];
    }
    /**
     * Get custom attributes for validator errors.
     *
     * @return array
     */
    public function attributes()
    {
        return[
            'name'=>__('main.name'),
            'description'=>__('main.description'),
            'instgram'=>__('main.instgram'),
            'facebook'=>__('main.facebook'),
            'youtube'=>__('main.youtube'),
            'mobile'=>__('main.mobile'),
            'address'=>__('main.address'),
            'whats'=>__('main.whats'),
            'working_days'=>__('main.working_days'),
            'patient_type_price'=>__('main.patient_type')." & ".__('main.price'),
        ];
    }
}
