<?php

namespace App\Http\Requests\Admin;

use Illuminate\Foundation\Http\FormRequest;

class NewsRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'title'=>["required"],
            'description'=>['required'],
            'image'=>['sometimes','nullable'],
            'news_urls'=>['sometimes','array'],
            'news_videos'=>['sometimes','array'],
        ];
    }
    /**
     * Get custom attributes for validator errors.
     *
     * @return array
     */
    public function attributes()
    {
        return[
            'title'=>__('main.title'),
            'description'=>__('main.description'),
            'image'=>__('main.image'),
            'news_urls'=>__('main.news_urls'),
            'news_videos'=>__('main.news_videos'),
        ];
    }
}
