<?php

namespace App\Http\Requests\Admin;

use Illuminate\Foundation\Http\FormRequest;

class OperationRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'patient_id'=>"required|exists:users,id",
            'operation_location_id'=>"required|exists:operation_locations,id",
            'operation_date'=>"required|date|after_or_equal:today",
            'operation_time'=>"required",
            'notes'=>"sometimes|nullable"
        ];
    }
    /**
     * Get custom attributes for validator errors.
     *
     * @return array
     */
    public function attributes()
    {
        return[
            'patient_id'=>__('main.patient'),
            'location'=>__('main.location'),
            'operation_date'=>__('main.date'),
            'operation_time'=>__('main.time'),
            'notes'=>__('main.notes'),
        ];
    }
}
