<?php

namespace App\Http\Requests\Admin;

use Illuminate\Foundation\Http\FormRequest;

class PatientRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        $rules= [
            'name'=>'required',
            'phone'=>'required',
            //'date_of_birth'=>'required|before:today',
            'occupation'=>'required',
            //'location_id'=>'required|exists:locations,id',
        ];
        if($this->method=="POST"){
            $rules= [
                'name'=>'required',
                'phone'=>'required',
                //'date_of_birth'=>'required',
                'occupation'=>'required',
                //'location_id'=>'required|exists:locations,id',
                'clinic_id'=>'required|exists:clinics,id',
                'patient_type_id'=>'required|exists:patient_types,id',
                'price'=>'required',
                'new_price'=>'required_if:discount_added,true',
                'attendance_status_id'=>'required'
            ];
        }
        return $rules;
    }
    /**
     * Get custom attributes for validator errors.
     *
     * @return array
     */
    public function attributes()
    {
        return[
            'name'=>__('main.name'),
            'phone'=>__('main.phone'),
            'secondary_phone'=>__('main.secondary_phone'),
            'date_of_birth'=>__('main.date_of_birth'),
            'location_id'=>__('main.location'),
            'occupation'=>__('main.occupation'),
            'clinic_id'=>__('main.clinic'),
            'patient_type_id'=>__('main.patient_type'),
            'price'=>__('main.price'),
            'new_price'=>__('main.new_price'),
        ];
    }
}
