<?php

namespace App\Http\Requests\Admin;

use Illuminate\Foundation\Http\FormRequest;

class ReceptionistRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        $rules = [
            'name' => ['required', 'string', 'max:255'],
            'email' => ['required', 'string', 'email', 'max:255', 'unique:users,email'],
            'phone' => ['required', 'unique:users'],
            'password' => ['required', 'string', 'min:8', 'confirmed'],
        ];
        if ($this->method() == 'PATCH') {
            $rules['email'] = 'required|unique:users,email,' . $this->route()->parameter('receptionist') . ',id';
            $rules['phone'] = 'required|unique:users,phone,' . $this->route()->parameter('receptionist') . ',id';
            $rules['password'] = 'sometimes|nullable|min:8|confirmed';
        }
        return $rules;
    }

    public function attributes()
    {
        return [
            'name'  =>  trans('main.name'),
            'email'  =>  trans('main.email'),
            'phone'  =>  trans('main.phone'),
            'password'  =>  trans('main.password'),
        ];
    }
}
