<?php

namespace App\Http\Requests\Api;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class ClinicAvailableAppointmentRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'clinic_id'=>'required|exists:clinics,id',
            'day'=>["required", Rule::in(['Saturday', 'Sunday','Monday','Tuesday','Wednesday','Thursday','Friday'])],
        ];
    }
    /**
     * Get custom attributes for validator errors.
     *
     * @return array
     */
    public function attributes()
    {
        return[
            'clinic_id'=>__('main.clinic'),
            'day'=>__('main.day')
        ];
    }
}
