<?php

namespace App\Http\Requests\Api;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Support\Facades\Auth;

class SocialMediaAuthRegisterRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        $rules = [
            'name' => ['required', 'string', 'max:255'],
            'email' => ['required', 'string', 'email', 'max:255'],
            'type' => ['required','in:facebook,google,apple'],
            'facebook_token' => ['sometimes', 'nullable','required_if:type,facebook'],
            'google_token' => ['sometimes', 'nullable','required_if:type,google'],
            'apple_token' => ['sometimes', 'nullable','required_if:type,apple'],
        ];
        return $rules;
    }

    public function attributes()
    {
        return [
            'name' => trans('main.name'),
            'email' => trans('main.email'),
            'facebook_token' => trans('main.facebook_token'),
            'google_token' => trans('main.google_token'),
            'apple_token' => trans('main.apple_token'),
        ];
    }
}
