<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class NewsResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id'=>$this->id,
            'title'=>$this->title?$this->title:"",
            'description'=>$this->description?$this->description:"",
            'image'=>$this->image?asset('storage/'.$this->image):"",
            'news_urls'=>$this->newsUrls()->get(['url']),
            'news_videos'=>$this->newsVideos()->get(['url']),
        ];
    }
}
