<?php

namespace App\Http\Resources;

use Carbon\Carbon;
use Illuminate\Http\Resources\Json\JsonResource;

class NotificationResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'title'               =>$this->title??null,
            'description'         =>$this->description??null,
            'created_at'          =>date("Y-m-d H:i:s",strtotime($this->created_at)),
            'created_for_humans'  => Carbon::now()->diffForHumans(Carbon::parse(date("Y-m-d H:i:s",strtotime($this->created_at)))),
        ];
    }
}
