<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Operation extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable=[
        'patient_id',
        'location',
        'operation_date',
        'operation_time',
        'operation_fees',
        'operation_location_id',
        'notes',
    ];
    /************************************************************************/
    /****************************** Relations *******************************/
    /************************************************************************/
    /**
     * patient Relationship.
     *
     * @return BelongsTo
     **/

    public function patient() : BelongsTo
    {
        return $this->belongsTo(User::class,'patient_id','id');
    }
    /**
     * operation_location Relationship.
     *
     * @return BelongsTo
     **/

    public function operation_location() : BelongsTo
    {
        return $this->belongsTo(OperationLocation::class,'operation_location_id','id');
    }
    /**
     * This attribute function for returning the value of Name.  => { name_val }
     * Used only at [ Show Mode ]
     *
     * @var String
     */
    public function getNameAttribute()
    {
        return $this->patient ? $this->patient->name : 'N/A';
    }
}
