<?php


namespace App\Repositories\Eloquent;


use App\Repositories\Abstracts\RepositoryAbstract;
use App\Repositories\Contract\AdminRepository;
use App\Repositories\Contract\ParentRepository;
use App\User;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Hash;

class EloquentAdminRepository extends RepositoryAbstract implements AdminRepository
{
    /**
     * @inheritDoc
     */
    public function entity(): string
    {
        return User::class;
    }

    /**
     * Update Entity.
     *
     * @param  integer $id
     * @param  array   $data
     * @return Model
     */
    public function update(int $id, array $data): Model
    {
        if (checkVar($data['password'])) {
            $data['password'] = Hash::make($data['password']);
        } else {
            unset($data['password']);
        }

        $entity= parent::update($id, $data);

        return $entity;
    }
}
