<?php


namespace App\Repositories\Eloquent;

use App\ApplicationSetting;
use App\Repositories\Abstracts\RepositoryAbstract;
use App\Repositories\Contract\ApplicationSettingRepository;
use Illuminate\Support\Str;

class EloquentApplicationSettingRepository extends RepositoryAbstract implements ApplicationSettingRepository
{
    /**
     * @inheritDoc
     */
    public function entity(): string
    {
        return ApplicationSetting::class;
    }
    /**
     * Create New Entity.
     *
     * @param  array $data
     * @return True
     */
    public function store($data)
    {
        foreach ($data as $key => $newValue) {
            if (!Str::startsWith($key, '_')) {
                $this->entity->updateOrCreate(['key' => $key], ['data' => $data[$key] == "null" || $data[$key] == "[null]" ? null : $data[$key]]);
            }
        }
        return true;
    }

}
