<?php

namespace App\Repositories\Eloquent;

use App\Repositories\Abstracts\RepositoryAbstract;
use App\Repositories\Contract\PatientRepository;
use App\User;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Hash;

class EloquentPatientRepository extends RepositoryAbstract implements PatientRepository
{
    /**
     * @inheritDoc
     */
    public function entity(): string
    {
        return User::class;
    }
    /**
     * Create New Entity.
     *
     * @param  array $data
     * @return Model
     */
    public function create(array $data) : Model
    {
        $data["password"]=Hash::make('123456789password');
        return $this->entity->updateOrCreate(['phone'=>$data['phone']],$data);
    }
    /**
     * Update Entity.
     *
     * @param  integer $id
     * @param  array   $data
     * @return Model
     */
    public function update(int $id, array $data): Model
    {
        $entity= parent::update($id, $data);
        return $entity;
    }
}
