<?php

namespace App\Repositories\Eloquent;

use App\Repositories\Abstracts\RepositoryAbstract;
use App\Repositories\Contract\PatientRepository;
use App\Repositories\Contract\ReceptionistRepository;
use App\User;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Hash;

class EloquentReceptionistRepository extends RepositoryAbstract implements ReceptionistRepository
{
    /**
     * @inheritDoc
     */
    public function entity(): string
    {
        return User::class;
    }
    /**
     * Create New Entity.
     *
     * @param  array $data
     * @return Model
     */
    public function create(array $data) : Model
    {
        $data["password"]=Hash::make($data['password']);

        $entity=Parent::create($data);

        return $entity;
    }
    /**
     * Update Entity.
     *
     * @param  integer $id
     * @param  array   $data
     * @return Model
     */
    public function update(int $id, array $data): Model
    {
        if (isset($data['password'])&& checkVar($data['password'])) {
            $data['password'] = Hash::make($data['password']);
        } else {
            unset($data['password']);
        }

        $entity= parent::update($id, $data);

        return $entity;
    }
}
