<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;

class news extends Translatable
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable=[
        'title',
        'description',
        'image'
    ];
    /**
     * The attributes that are translatable
     *
     * @var array
     */
    protected $translatable=[
        'title',
        'description'
    ];
    /************************************************************************/
    /****************************** Relations *******************************/
    /************************************************************************/
    /**
     * newsUrl Relationship.
     *
     * @return HasMany
     **/

    public function newsUrls() : HasMany
    {
        return $this->hasMany(NewsUrl::class,'news_id','id');
    }
    /**
     * newsVideo Relationship.
     *
     * @return HasMany
     **/

    public function newsVideos() : HasMany
    {
        return $this->hasMany(NewsVideo::class,'news_id','id');
    }
    /**
     * This attribute function for returning the value of Name.  => { name_val }
     * Used only at [ Show Mode ]
     *
     * @var String
     */
    public function gettitleValAttribute()
    {
        return $this->attributes['title'] ? VarByLang(getData(collect($this),"title")) : 'N/A';
    }
    /**
     * This attribute function for returning the value of Name.  => { description_val }
     * Used only at [ Show Mode ]
     *
     * @var String
     */
    public function getDescriptionValAttribute()
    {
        return $this->attributes['description'] ? VarByLang(getData(collect($this),"description")) : 'N/A';
    }
}
