<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateBookingsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('bookings', function (Blueprint $table) {
            $table->increments("id");
            $table->string("name")->nullable();
            $table->string("phone")->nullable();
            $table->string("status")->nullable();
            $table->integer("location_id")->unsigned()->nullable();
            $table->integer("agent_id")->nullable();
            $table->integer("clinic_id")->unsigned()->nullable();
            $table->string("appointment_date")->nullable();
            $table->string("appointment_day")->nullable();
            $table->string("appointment_time")->nullable();
            $table->string("comments")->nullable();
            $table->foreign('location_id')->references('id')->on('locations')->onDelete('set null');
            $table->foreign('clinic_id')->references('id')->on('clinics')->onDelete('set null');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('bookings');
    }
}
