<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddSomeFieldsToBookingsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('bookings', function (Blueprint $table) {
            $table->integer("patient_type_id")->after("appointment_time")->nullable()->unsigned();
            $table->string("price")->after("patient_type_id")->nullable();
            $table->string("new_price")->after("price")->nullable();
            $table->string("paid_price")->after("new_price")->nullable();
            $table->boolean('attendance')->default(false)->after("paid_price");
            $table->boolean("discount_added")->after("attendance")->default(false);
            $table->foreign("patient_type_id")->references("id")->on("patient_types")->onDelete("set null");
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('bookings', function (Blueprint $table) {
            //
        });
    }
}
