<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateHospitalBagListProcessesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('hospital_bag_list_processes', function (Blueprint $table) {
            $table->increments("id");
            $table->string("name")->nullable();
            $table->integer("hospital_bag_list_id")->unsigned()->nullable();
            $table->foreign("hospital_bag_list_id")->references("id")->on('hospital_bag_lists')->onDelete("set null");
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('hospital_bag_list_processes');
    }
}
