@extends('backend.layout.app')

@section('sub_header')
    @component('backend.layout.components.sub-header')

        @slot('title')
            {{  $title }}
        @endslot
        <a href="#" class="kt-subheader__breadcrumbs-home"><i class="flaticon2-shelter"></i></a>
        <span class="kt-subheader__breadcrumbs-separator"></span>
        <a href="{{ route('admin.bookings.index') }}" class="kt-subheader__breadcrumbs-link">
            {{ __('main.bookings') }}
        </a>
        @slot('toolbar')
            <li class="kt-nav__item">
                <a href="{{ route('admin.bookings.edit', [$show->id]) }}" class="kt-nav__link">
                    <i class="kt-nav__link-icon flaticon-edit"></i>
                    <span class="kt-nav__link-text">{{ __('main.edit') }} {{ __('main.booking') }}</span>
                </a>
            </li>
            <li class="kt-nav__item">
                <a href="{{ route('admin.bookings.index') }}" class="kt-nav__link">
                    <i class="kt-nav__link-icon flaticon-list-2"></i>
                    <span class="kt-nav__link-text">{{ __('main.show-all') }} {{ __('main.bookings') }}</span>
                </a>
            </li>
            <li class="kt-nav__item">
                <a href="{{ route('admin.bookings.create') }}" class="kt-nav__link">
                    <i class="kt-nav__link-icon flaticon-add"></i>
                    <span class="kt-nav__link-text">{{ __('main.add_new') }} {{ __('main.bookings') }}</span>
                </a>
            </li>
        @endslot
    @endcomponent
@endsection

@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="kt-portlet kt-portlet--mobile">
                <div class="kt-portlet__head">
                    <div class="kt-portlet__head-label">
                        <h3 class="kt-portlet__head-title">
                            {{ $title }}
                        </h3>
                    </div>
                    {{--
                    <div class="kt-portlet__head-toolbar">
                        <div class="kt-portlet__head-wrapper">
                            <div class="dropdown dropdown-inline">
                                 <a title="{{ __('main.patient') }}" href="{{ route('admin.patients.create',['booking_id'=>$show->id]) }}" class="btn btn-brand btn-sm" style="color: #FFF">
                                    <i class="flaticon2-user"></i>
                                    {{ __('main.patient') }}
                                 </a>
                            </div>
                        </div>
                    </div>
                    --}}
                </div>
                <div class="kt-portlet__body">
                    <div class="row">
                        <div class="col-md-6">
                            <strong>{{ __('main.name') }} : </strong>
                            {{ $show->patient?$show->patient->name:"N/A" }}
                            <hr>
                        </div>
                        <div class="col-md-6">
                            <strong>{{ __('main.phone') }} : </strong>
                            {{$show->patient? $show->patient->phone:"N/A" }}
                            <hr>
                        </div>
                        <div class="col-md-6">
                            <strong>{{ __('main.secondary_phone') }} : </strong>
                            {{$show->patient? $show->patient->secondary_phone:"N/A" }}
                            <hr>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <strong>{{ __('main.occupation') }} : </strong>
                            {{ $show->patient? $show->patient->occupation:"N/A" }}
                            <hr>
                        </div>
                        <div class="col-md-6">
                            <strong>{{ __('main.location') }}: </strong>
                            {{ $show->patient && $show->patient->location ?$show->patient->location->name_val:"N/A" }}
                            <hr>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <strong>{{ __('main.clinic') }}: </strong>
                            {{ $show->clinic?$show->clinic->name_val:"N/A" }}
                            <hr>
                        </div>
                        <div class="col-md-6">
                            <strong>{{ __('main.appointment') }} : </strong>
                            {{ $show->appointment_date." ".$show->appointment_time }}
                            <hr>
                        </div>
                    </div>
                    @if($show->patient)
                        <div class="row">
                            <div class="col-md-6">
                                <strong>{{ __('main.patient') }}: </strong>
                                <a target="_blank" href="{{route('admin.patients.show',[$show->patient->id])}}">{{ $show->patient->name}}</a>
                                <hr>
                            </div>
                            <div class="col-md-6">
                                <strong>{{ __('main.patient_type') }}: </strong>
                                {{ $show->patientType?$show->patientType->name_val:"" }}
                                <hr>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <strong>{{ __('main.fees') }}: </strong>
                                {{ $show->paid_price? $show->paid_price." LE":""}}
                                <hr>
                            </div>
                        </div>
                    @endif
                    <div class="row">
                        <div class="col-md-6">
                            <strong>{{ __('main.comments') }}: </strong>
                            {{ $show->comments }}
                            <hr>
                        </div>
                        <div class="col-md-6">
                            <strong>{{ __('main.created_at') }}: </strong>
                            {{ $show->created_at }}
                            <hr>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
