@include('backend.layout.globals.vue_validation')
<?php
$vendor_control=["cars",'spare parts','tools'];
?>
<div class="kt-section kt-section--last" :class="{'kt-section--first': !(validation_errors.length > 0)}">
    <div class="kt-section__body">
        <form-group-input-text v-model="fData.name[lang]" v-for="lang in $languages" :name="'name-' + lang" label_class="col-2" input_class="col-10" :is_required="true" v-validate="'required'" :form_errors="errors" :trans="'{{ __("main.name") }}' + ' (' + lang + ')'"></form-group-input-text>

        <div class="form-group row validated" :class="{'validated' : errors.has('date_of_birth')}">
            <label class="col-2 col-form-label required">{{ __('main.date_of_birth') }}</label>
            <div class="col-10">
                <date-pick  v-model="fData.date_of_birth" :value="fData.date_of_birth" ></date-pick>
                <div v-if="errors.has('date_of_birth')" class="invalid-feedback">@{{ errors.first('date_of_birth') }}</div>
            </div>
        </div><!-- date_birth -->
        <div class="form-group row" :class="{'validated' : errors.has('parent_id')}">
            <label class="col-2 col-form-label required">{{ __('main.parents') }}</label>
            <div class="col-10">
                <Select2 v-validate="'required'"  name="parent_id" data-vv-as="{{ trans('main.parent') }}" :form_errors="errors" :options="parents" v-model="fData.parent_id" :settings="{placeholder: '{{ __('main.parents') }}'}" />
                <div v-if="errors.has('parent_id')" class="invalid-feedback">@{{ errors.first('parent_id') }}</div>
            </div>
        </div><!-- parents -->
    </div>
</div>
