@extends('backend.layout.app')

@section('sub_header')
    @component('backend.layout.components.sub-header')

        @slot('title')
            {{  $title }}
        @endslot
        <a href="#" class="kt-subheader__breadcrumbs-home"><i class="flaticon2-shelter"></i></a>
        <span class="kt-subheader__breadcrumbs-separator"></span>
        <a href="{{ route('admin.clinics.index') }}" class="kt-subheader__breadcrumbs-link">
            {{ __('main.clinics') }}
        </a>
        @slot('toolbar')
            <li class="kt-nav__item">
                <a href="{{ route('admin.clinics.edit', [$show->id]) }}" class="kt-nav__link">
                    <i class="kt-nav__link-icon flaticon-edit"></i>
                    <span class="kt-nav__link-text">{{ __('main.edit') }} {{ __('main.clinic') }}</span>
                </a>
            </li>
            <li class="kt-nav__item">
                <a href="{{ route('admin.clinics.index') }}" class="kt-nav__link">
                    <i class="kt-nav__link-icon flaticon-list-2"></i>
                    <span class="kt-nav__link-text">{{ __('main.show-all') }} {{ __('main.clinics') }}</span>
                </a>
            </li>
            <li class="kt-nav__item">
                <a href="{{ route('admin.clinics.create') }}" class="kt-nav__link">
                    <i class="kt-nav__link-icon flaticon-add"></i>
                    <span class="kt-nav__link-text">{{ __('main.add_new') }} {{ __('main.clinic') }}</span>
                </a>
            </li>
        @endslot
    @endcomponent
@endsection

@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="kt-portlet kt-portlet--mobile">
                <div class="kt-portlet__head">
                    <div class="kt-portlet__head-label">
                        <h3 class="kt-portlet__head-title">
                            {{ $title }}
                        </h3>
                    </div>
                </div>
                <div class="kt-portlet__body">
                    <div class="row">
                        <div class="col-md-6">
                            <strong>{{ __('main.name') }} : </strong>
                            {{ $show->name_val }}
                            <hr>
                        </div>
                        <div class="col-md-6">
                            <strong>{{ __('main.address') }} : </strong>
                            {{ $show->address_val }}
                            <hr>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <strong>{{ __('main.whats') }} : </strong>
                            {{ $show->whats??"N/A" }}
                            <hr>
                        </div>
                        <div class="col-md-6">
                            <strong>{{ __('main.mobile') }}: </strong>
                            {{ $show->mobile??"N/A" }}
                            <hr>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <strong>{{ __('main.description') }} : </strong>
                            {{ $show->description_val }}
                            <hr>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-5">
                            <strong style="display: block" class="text-center">{{ __("main.working_days") }}: </strong>
                             <br>
                        </div>
                        <div class="col-md-7">
                            <strong style="display: block" class="text-center">{{ __("main.patient_types") }} {{ __("main.price") }}: </strong>
                            <br>
                        </div>
                        <div class="col-md-6">
                            <table class="table table-striped table-bordered">
                                <thead>
                                <th class="text-center">
                                    #
                                </th>
                                <th class="text-center">
                                    {{trans('main.day')}}
                                </th>
                                <th class="text-center">
                                    {{trans('main.from_time')}}
                                </th>
                                <th class="text-center">
                                    {{trans('main.to_time')}}
                                </th>
                                </thead>
                                <tbody>
                                @forelse($show->workingDays as$key=>$working_day)
                                    <tr>
                                        <td class="text-center">
                                            {{++$key}}
                                        </td>
                                        <td class="text-center">
                                            {{trans('main.'.$working_day->day)}}
                                        </td>
                                        <td class="text-center">
                                            {{$working_day->from_time}}
                                        </td>
                                        <td class="text-center">
                                            {{$working_day->to_time}}
                                        </td>
                                    </tr>
                                @empty
                                    <tr>
                                        <td class="text-center" colspan="2">
                                            {{trans('main.no_data_added')}}
                                        </td>
                                    </tr>
                                @endforelse
                                </tbody>
                            </table>
                        </div>
                        <div class="col-md-6">
                            <table class="table table-striped table-bordered">
                                <thead>
                                <th class="text-center">
                                    #
                                </th>
                                <th class="text-center">
                                    {{trans('main.patient_type')}}
                                </th>
                                <th class="text-center">
                                    {{trans('main.price')}}
                                </th>
                                </thead>
                                <tbody>
                                @forelse($show->patientTypes as$key=>$patient_type)
                                    <tr>
                                        <td class="text-center">
                                            {{++$key}}
                                        </td>
                                        <td class="text-center">
                                            {{$patient_type->name_val}}
                                        </td>
                                        <td class="text-center">
                                            {{$patient_type->pivot?$patient_type->pivot->price." LE":"N/A"}}
                                        </td>
                                    </tr>
                                @empty
                                    <tr>
                                        <td class="text-center" colspan="3">
                                            {{trans('main.no_data_added')}}
                                        </td>
                                    </tr>
                                @endforelse
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection
