@extends('backend.layout.app')

@section('sub_header')
    @component('backend.layout.components.sub-header')

        @slot('title')
            {{  $title }}
        @endslot
        <a href="#" class="kt-subheader__breadcrumbs-home"><i class="flaticon2-shelter"></i></a>
        <span class="kt-subheader__breadcrumbs-separator"></span>
        <a href="{{ route('admin.news.index') }}" class="kt-subheader__breadcrumbs-link">
            {{ __('main.news') }}
        </a>
        @slot('toolbar')
            <li class="kt-nav__item">
                <a href="{{ route('admin.news.edit', [$show->id]) }}" class="kt-nav__link">
                    <i class="kt-nav__link-icon flaticon-edit"></i>
                    <span class="kt-nav__link-text">{{ __('main.edit') }} {{ __('main.news') }}</span>
                </a>
            </li>
            <li class="kt-nav__item">
                <a href="{{ route('admin.news.index') }}" class="kt-nav__link">
                    <i class="kt-nav__link-icon flaticon-list-2"></i>
                    <span class="kt-nav__link-text">{{ __('main.show-all') }} {{ __('main.news') }}</span>
                </a>
            </li>
            <li class="kt-nav__item">
                <a href="{{ route('admin.news.create') }}" class="kt-nav__link">
                    <i class="kt-nav__link-icon flaticon-add"></i>
                    <span class="kt-nav__link-text">{{ __('main.add_new') }} {{ __('main.news') }}</span>
                </a>
            </li>
        @endslot
    @endcomponent
@endsection

@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="kt-portlet kt-portlet--mobile">
                <div class="kt-portlet__head">
                    <div class="kt-portlet__head-label">
                        <h3 class="kt-portlet__head-title">
                            {{ $title }}
                        </h3>
                    </div>
                </div>
                <div class="kt-portlet__body">
                    <div class="row">
                        <div class="col-md-6">
                            <strong>{{ __('main.title') }} : </strong>
                            {{ $show->title_val }}
                            <hr>
                        </div>
                        <div class="col-md-6">
                            <strong>{{ __('main.created_at') }} : </strong>
                            {{ $show->created_at }}
                            <hr>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <strong>{{ __('main.description') }} : </strong>
                            {{ $show->description_val }}
                            <hr>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <strong style="display: block" class="text-center">{{ __("main.news_urls") }}: </strong>
                             <br>
                        </div>
                        <div class="col-md-6">
                            <strong style="display: block" class="text-center">{{ __("main.news_videos") }}: </strong>
                            <br>
                        </div>
                        <div class="col-md-6">
                            <table class="table table-striped table-bordered">
                                <thead>
                                <th class="text-center">
                                    #
                                </th>
                                <th class="text-center">
                                    {{trans('main.url')}}
                                </th>
                                </thead>
                                <tbody>
                                @forelse($show->newsUrls as$key=>$news_url)
                                    <tr>
                                        <td class="text-center">
                                            {{++$key}}
                                        </td>
                                        <td class="text-center">
                                            <a target="_blank" href="{{$news_url->url}}">url</a>
                                        </td>
                                    </tr>
                                @empty
                                    <tr>
                                        <td class="text-center" colspan="2">
                                            {{trans('main.no_data_added')}}
                                        </td>
                                    </tr>
                                @endforelse
                                </tbody>
                            </table>
                        </div>
                        <div class="col-md-6">
                            <table class="table table-striped table-bordered">
                                <thead>
                                    <th class="text-center">
                                        #
                                    </th>
                                    <th class="text-center">
                                        {{trans('main.url')}}
                                    </th>
                                </thead>
                                <tbody>
                                @forelse($show->newsVideos as$key=>$news_video)
                                    <tr>
                                        <td class="text-center">
                                            {{++$key}}
                                        </td>
                                        <td class="text-center">
                                            <a target="_blank" href="{{$news_video->url}}">url</a>
                                        </td>
                                    </tr>
                                @empty
                                    <tr>
                                        <td class="text-center" colspan="3">
                                            {{trans('main.no_data_added')}}
                                        </td>
                                    </tr>
                                @endforelse
                                </tbody>
                            </table>
                        </div>
                    </div>
                    @if($show->image)
                        <div class="row">
                            <div class="col-md-12">
                                <strong>{{ __('main.image') }}: </strong>
                                <div>
                                    <img width="300px" height="150px" src="{{asset('storage/'.$show->image)}}">
                                </div>
                            </div>
                        </div>
                    @endif
                </div>
            </div>
        </div>
    </div>

@endsection
