<script>
    // convert services into an array
    var vue = new Vue({
        el: '#kt_page_portlet',
        data: {
            fData: {
                patient_id: '{{ getData($data, 'patient_id') }}',
                operation_location_id: '{{ getData($data, 'operation_location_id') }}',
                operation_date:'{{ getData($data, 'operation_date')}}',
                operation_time: '{{ getData($data, 'operation_time') }}',
                notes: '{!! getData($data, 'notes') !!}',
                @if ($action == 'edit')
                    _method: 'PATCH',
                @endif
            },
            patients:[],
            locations:[],
            isLoading: false,
            isLoadingGoogle:false,
            validation_errors: [],
            is_required:false,
            @if ($action == 'edit')
            'action': 'EDIT',
            @endif
        },
        mounted:function(){
            this.initSettings()
        },
        methods: {
            initSettings (type = '') {
                axios.get('{{ route('admin.patients.all') }}').then((res) => {
                    this.patients = res.data.payload;
                });
                axios.get('{{ route('admin.operationlocations.all') }}').then((res) => {
                    this.locations = res.data.payload;
                });
                @isset(request()->patient_id)
                    this.fData.patient_id = '{{request()->patient_id}}';
                @endisset

            },
            send (status = '') {
                this.$validator.validateAll().then((result) => {
                    if (result) {
                        this.submitForm(status);
                    }
                });
            },
            submitForm (status) {
                this.isLoading = true;
                $('.submitBtnContainer #save_btn').attr("class", "btn btn-brand kt-spinner kt-spinner--right kt-spinner--sm kt-spinner--light").attr("disabled", this.isLoading);
                this.Save(status)
            },
            Save(status){
                axios.post('{{ $submitUrl }}', this.fData).then((res) => {
                    if (res.data.success) {
                        swal.fire("{{ __('main.success') }}", "{{ __('main.' . ($action == 'create' ? 'added-message' : 'updated-message')) }}", "success");

                        if (status == '') {
                            var url = '{{ route("admin.operations.show", ":id") }}';
                            url = url.replace(':id', res.data.payload.id);
                            setTimeout(() => {
                                window.location = url;
                            }, 1000)
                        } else if (status == "continue") {
                            setTimeout(() => {
                                window.location = "{{ route("admin.operations.create") }}";
                            }, 1000)
                        } else {
                            setTimeout(() => {
                                window.location = "{{ route("admin.operations.index") }}";
                            }, 1000)
                        }
                    }
                    this.isLoading = false;
                    $('.submitBtnContainer #save_btn').attr("class", "btn btn-brand").attr("disabled", this.isLoading);
                }).catch(error => {
                    this.validation_errors = Helpers.appendValidationErrors(error.response.data, this);
                    this.isLoading = false;
                    $('.submitBtnContainer #save_btn').attr("class", "btn btn-brand").attr("disabled", this.isLoading);
                });
            }
        },
    });
</script>
