<script>
    // convert services into an array
    var vue = new Vue({
        el: '#kt_page_portlet',
        data: {
            fData: {
                name: '{{ getData($data, 'name') }}',
                phone: '{{ getData($data, 'phone') }}',
                secondary_phone: '{{ getData($data, 'secondary_phone') }}',
                type:'patient',
                date_of_birth: '{{ getData($data, 'date_of_birth') }}',
                nationality:'{{ getData($data, 'nationality')??"Egypt"}}',
                occupation: '{{ getData($data, 'occupation') }}',
                location_id: '{{ getData($data, 'location_id') }}',
                clinic_id:'',
                patient_type_id:'',
                price:'',
                new_price:'',
                notes: '{!! getData($data, 'notes') !!}',
                attendance_status:'',
                attendance:false,
                discount_added:false,
                booking_id:'',
                @if ($action == 'edit')
                    _method: 'PATCH',
                @endif
            },
            bookings:[],
            locations:[],
            clinics:[],
            patient_types:[],
            days:[],
            attendance_statuses:[],
            isLoading: false,
            isLoadingGoogle:false,
            validation_errors: [],
            is_required:false,
            @if ($action == 'edit')
            'action': 'EDIT',
            @endif
        },
        mounted:function(){
            this.initSettings()
        },
        watch:{
            'fData.booking_id':function (new_val) {
                axios.get('{{ aurl('/booking_patient_data')}}/'+this.fData.booking_id).then((res) => {
                    if (res.data.payload.booking) {
                        this.fData.clinic_id = res.data.payload.booking.clinic_id;
                        this.fData.location_id = res.data.payload.booking.location_id;
                        this.fData.patient_type_id = res.data.payload.booking.patient_type_id;
                        this.fData.price = res.data.payload.booking.price;
                        this.fData.discount_added = res.data.payload.booking.discount_added ? true : false;
                        this.fData.new_price = res.data.payload.booking.new_price;
                        this.fData.attendance = res.data.payload.booking.attendance;
                        this.fData.attendance_status_id = res.data.payload.booking.attendance_status_id;
                        if (this.fData.clinic_id) {
                            this.getClinicPatientTypes();
                        }
                    }
                    if (res.data.payload.patient) {
                        this.fData.name = res.data.payload.patient.name;
                        this.fData.phone = res.data.payload.patient.phone;
                        this.fData.secondary_phone = res.data.payload.patient.secondary_phone;
                        this.fData.date_of_birth = res.data.payload.patient.date_of_birth;
                        this.fData.nationality = res.data.payload.patient.nationality == null ? "Egypt" :res.data.payload.patient.nationality ;
                        this.fData.occupation_id = res.data.payload.patient.occupation_id;
                        this.fData.notes = res.data.payload.patient.notes;
                    }
                    if (res.data.payload.patient == null) {
                        this.fData.name = res.data.payload.booking.name;
                        this.fData.phone = res.data.payload.booking.phone;
                        this.fData.secondary_phone = res.data.payload.booking.secondary_phone;
                    }
                });

            }
        },
        methods: {
            initSettings (type = '') {
                axios.get('{{ route('admin.bookings.all') }}').then((res) => {
                    this.bookings = res.data.payload;
                });
                axios.get('{{ route('admin.locations.all') }}').then((res) => {
                    this.locations = res.data.payload;
                });
                axios.get('{{ route('admin.clinics.all') }}').then((res) => {
                    this.clinics = res.data.payload;
                });
                axios.get('{{ route('admin.attendance_statuses.all') }}').then((res) => {
                    this.attendance_statuses = res.data.payload;
                });
                @isset(request()->booking_id)
                    this.fData.booking_id = '{{request()->booking_id}}';
                @endisset

            },
            getClinicPatientTypes(){
                let clinic_id=this.fData.clinic_id;
                axios.get('{{ aurl('/get_clinic_types/') }}/'+clinic_id).then((res) => {
                    this.patient_types = res.data.payload;
                });

            },
            getClinicPatientTypePrice(){
                let clinic_id=this.fData.clinic_id;
                let patient_type_id=this.fData.patient_type_id
                axios.get('{{ aurl('/get_clinic_patient_type_price/') }}/'+clinic_id+"/"+patient_type_id).then((res) => {
                    this.fData.price = res.data.payload;
                });
            },
            addNewPrice(){
                this.fData.discount_added=!this.fData.discount_added
                this.fData.new_price='';
            },
            send (status = '') {
                this.$validator.validateAll().then((result) => {
                    if (result) {
                        this.submitForm(status);
                    }
                });
            },
            submitForm (status) {
                this.isLoading = true;
                $('.submitBtnContainer #save_btn').attr("class", "btn btn-brand kt-spinner kt-spinner--right kt-spinner--sm kt-spinner--light").attr("disabled", this.isLoading);
                this.Save(status)
            },
            Save(status){
                axios.post('{{ $submitUrl }}', this.fData).then((res) => {
                    if (res.data.success) {
                        swal.fire("{{ __('main.success') }}", "{{ __('main.' . ($action == 'create' ? 'added-message' : 'updated-message')) }}", "success");

                        if (status == '') {
                            var url = '{{ route("admin.patients.show", ":id") }}';
                            url = url.replace(':id', res.data.payload.id);
                            setTimeout(() => {
                                window.location = url;
                            }, 1000)
                        } else if (status == "continue") {
                            setTimeout(() => {
                                window.location = "{{ route("admin.patients.create") }}";
                            }, 1000)
                        } else {
                            setTimeout(() => {
                                window.location = "{{ route("admin.patients.index") }}";
                            }, 1000)
                        }
                    }
                    this.isLoading = false;
                    $('.submitBtnContainer #save_btn').attr("class", "btn btn-brand").attr("disabled", this.isLoading);
                }).catch(error => {
                    if(error.response.data["payload"] == "main.client_already_exist"){
                        swal.fire("Patient already exist", "Mobile phones can't repeated on multiple patients", "error");
                    }else{
                        swal.fire("Error occurred", error.response.data["payload"], "error");
                    }

                    this.validation_errors = Helpers.appendValidationErrors(error.response.data, this);
                    this.isLoading = false;
                    $('.submitBtnContainer #save_btn').attr("class", "btn btn-brand").attr("disabled", this.isLoading);
                });
            }
        },
    });
</script>
