@extends('backend.layout.app')

@section('sub_header')
    @component('backend.layout.components.sub-header')

        @slot('title')
            {{  $title }}
        @endslot
        <a href="#" class="kt-subheader__breadcrumbs-home"><i class="flaticon2-shelter"></i></a>
        <span class="kt-subheader__breadcrumbs-separator"></span>
        <a href="{{ route('admin.patients.index') }}" class="kt-subheader__breadcrumbs-link">
            {{ __('main.patients') }}
        </a>
        @slot('toolbar')
            <li class="kt-nav__item">
                <a href="{{ route('admin.patients.edit', [$show->id]) }}" class="kt-nav__link">
                    <i class="kt-nav__link-icon flaticon-edit"></i>
                    <span class="kt-nav__link-text">{{ __('main.edit') }} {{ __('main.patients') }}</span>
                </a>
            </li>
            <li class="kt-nav__item">
                <a href="{{ route('admin.patients.index') }}" class="kt-nav__link">
                    <i class="kt-nav__link-icon flaticon-list-2"></i>
                    <span class="kt-nav__link-text">{{ __('main.show-all') }} {{ __('main.patients') }}</span>
                </a>
            </li>
            <li class="kt-nav__item">
                <a href="{{ route('admin.patients.create') }}" class="kt-nav__link">
                    <i class="kt-nav__link-icon flaticon-add"></i>
                    <span class="kt-nav__link-text">{{ __('main.add_new') }} {{ __('main.patient') }}</span>
                </a>
            </li>
            <li class="kt-nav__item">
                <a target="_blank" href="{{ route('admin.operations.create',['patient_id'=>$show->id]) }}" class="kt-nav__link">
                    <i class="kt-nav__link-icon flaticon2-hospital"></i>
                    <span class="kt-nav__link-text">{{ __('main.add_new') }} {{ __('main.operation') }}</span>
                </a>
            </li>
        @endslot
    @endcomponent
@endsection

@section('content')
    @include("backend.patients._partials._show_page._header_section._index")
    <div class="row">
        @include("backend.patients._partials._show_page._content_section._index")
    </div>
@endsection
