<?php echo $__env->make('backend.layout.globals.vue_validation', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<div class="kt-section kt-section--last" :class="{'kt-section--first': !(validation_errors.length > 0)}">
    <div class="kt-section__body">
        <form-group-input-text v-model="fData.title" :name="'title'" label_class="col-2" input_class="col-10" :is_required="true" v-validate="'required'" :form_errors="errors" :trans="'<?php echo e(__("main.title")); ?>'"></form-group-input-text>
        <!-- Title -->
        <div class="form-group row validated">
            <label class="col-2 col-form-label required" :for="'description'"><?php echo e(__('main.description')); ?></label>
            <div class="col-10">
                <textarea v-model="fData.description" :name="'description'" class="form-control" placeholder="<?php echo e(__('main.description')); ?>" v-validate="'required'" data-vv-as="<?php echo e(__('main.description')); ?>" :form_errors="errors" :id="'description'"></textarea>
                <span v-if="errors.has('description')" class="invalid-feedback">
                      {{ errors.first('description') }}
                </span>
            </div>
        </div><!-- Description -->
        <div class="form-group row validated">
            <label class="col-2 col-form-label required"><?php echo e(__('main.to')); ?></label>
            <div class="col-10">
                <Select2 @change="getSendsTo()"  v-validate="'required'"  :options="sends_to" v-model="fData.to" :name="'to'" data-vv-as="<?php echo e(__('main.to')); ?>" :form_errors="errors" :settings="{placeholder: '<?php echo e(__('main.to')); ?>'}" />
            </div>
        </div><!-- sendsto -->
        <template v-if="fData.to=='patient'">
            <div class="form-group row validated" >
                <label class="col-3 col-form-label"><?php echo e(__('main.select_all') .'  '. __('main.patients')); ?>:</label>
                <div class="col-3">
                    <span class="kt-switch kt-switch--icon">
                        <label>
                            <input class="form-check-input" type="checkbox" @click="selectAll" v-model="allSelected">
                            <span></span>
                        </label>
                    </span>
                </div>
                <label class="col-1 col-form-label required" v-text="'<?php echo e(__("main.search")); ?>'"></label>
                <input-component input_type="text" input_class="col-5" :name="'search'" v-model="search" :trans="'<?php echo e(__("main.search")); ?>'" :form_errors="errors"></input-component>
            </div><!-- Select All Users -->

            <div class="form-group row validated">
            <label class="col-2 col-form-label"><?php echo e(__('main.patients')); ?>:</label>
            <div class="row col-10 form-group">
                <div class="row col-4" v-for="(user, index) in filteredList" :key="index" :id='user.id'>
                    <label class="col-7 col-form-label" v-text="user.text"></label>
                    <div class="col-5">
                        <span class="kt-switch kt-switch--icon">
                            <label>
                                <input class="form-check-input" type="checkbox" name="users" v-model="fData.users" @click="select" :value="user.id">
                                <span></span>
                            </label>
                        </span>
                    </div>
                </div>
            </div>
        </div><!-- All Users-->
        </template>
        <template v-if="fData.to=='patient_type'">
            <div class="form-group row validated">
                <label class="col-2 col-form-label required"><?php echo e(__('main.patient_type')); ?></label>
                <div class="col-10">
                    <Select2  :options="patient_types"  v-validate="'required'" v-model="fData.patient_type" :name="'patient_type'" data-vv-as="<?php echo e(__('main.patient_type')); ?>" :form_errors="errors" :settings="{placeholder: '<?php echo e(__('main.patient_type')); ?>'}" />
                </div>
            </div><!-- patient_type -->
        </template>
        <template v-if="fData.to=='location'">
            <div class="form-group row validated">
                <label class="col-2 col-form-label required"><?php echo e(__('main.location')); ?></label>
                <div class="col-10">
                    <Select2  :options="locations"  v-validate="'required'" v-model="fData.location" :name="'location'" data-vv-as="<?php echo e(__('main.location')); ?>" :form_errors="errors" :settings="{placeholder: '<?php echo e(__('main.location')); ?>'}" />
                </div>
            </div><!-- patient_type -->
        </template>
        <template v-if="fData.to=='booking_date'">
            <div class="form-group row validated">
                <label class="col-2 col-form-label required"><?php echo e(__('main.booking_date')); ?></label>
                <input-component v-validate="'required'" v-model="fData.booking_date" :name="'booking_date'" input_type="date"   input_class="col-10" :form_errors="errors" :trans="'<?php echo e(__("main.booking_date")); ?>'"></input-component>
            </div><!-- booking date -->
        </template>
    </div>
</div>
<?php /**PATH /home/drmarzouk/public_html/clinic/releases/20220719061117/resources/views/backend/send_notifications/_partials/_fields.blade.php ENDPATH**/ ?>