<!DOCTYPE html>
<html lang="<?php echo e(GetLanguage()); ?>">

	<!-- begin::Head -->
	<head>
		<meta charset="utf-8" />
		<title><?php echo e($title); ?></title>
		<meta name="description" content="Login page example">
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

		<!--begin::Fonts -->
		<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700|Roboto:300,400,500,600,700">

		<!--end::Fonts -->

		<!--begin::Page Custom Styles(used by this page) -->
		<link href="<?php echo e(asset("backend/dist/assets/css/pages/login/login-4.css")); ?>" rel="stylesheet" type="text/css" />

		<!--end::Page Custom Styles -->

		<!--begin::Global Theme Styles(used by all pages) -->
		<link href="<?php echo e(asset("backend/dist/assets/plugins/global/plugins.bundle.css")); ?>" rel="stylesheet" type="text/css" />
		<link href="<?php echo e(asset("backend/dist/assets/css/style.bundle.css")); ?>" rel="stylesheet" type="text/css" />

		<!--end::Global Theme Styles -->

		<!--begin::Layout Skins(used by all pages) -->
		<link href="<?php echo e(asset("backend/dist/assets/css/skins/header/base/light.css")); ?>" rel="stylesheet" type="text/css" />
		<link href="<?php echo e(asset("backend/dist/assets/css/skins/header/menu/light.css")); ?>" rel="stylesheet" type="text/css" />
		<link href="<?php echo e(asset("backend/dist/assets/css/skins/brand/dark.css")); ?>" rel="stylesheet" type="text/css" />
		<link href="<?php echo e(asset("backend/dist/assets/css/skins/aside/dark.css")); ?>" rel="stylesheet" type="text/css" />

		<!--end::Layout Skins -->
		<link rel="shortcut icon" href="<?php echo ShowImageFromStorage(null, 'WebsiteSetting-collection', 'avatar'); ?>" />
	</head>

	<!-- end::Head -->

	<!-- begin::Body -->
	<body class="kt-quick-panel--right kt-demo-panel--right kt-offcanvas-panel--right kt-header--fixed kt-header-mobile--fixed kt-subheader--enabled kt-subheader--fixed kt-subheader--solid kt-aside--enabled kt-aside--fixed kt-page--loading">

		<!-- begin:: Page -->
		<div class="kt-grid kt-grid--ver kt-grid--root">
			<div class="kt-grid kt-grid--hor kt-grid--root  kt-login kt-login--v4 kt-login--signin" id="kt_login">
				<div class="kt-grid__item kt-grid__item--fluid kt-grid kt-grid--hor" style="background-image: url('<?php echo e(asset('backend/dist/assets/media/bg/bg-2.jpg')); ?>')">
					<div class="kt-grid__item kt-grid__item--fluid kt-login__wrapper">
						<div class="kt-login__container">
							<div class="kt-login__logo">
								<a href="#">
									<img width="200px" src="<?php echo ShowImageFromStorage(null, 'WebsiteSetting-collection', 'avatar'); ?>">
								</a>
							</div>
							<div class="kt-login__signin">
								<div class="kt-login__head">
									<h3 class="kt-login__title">Sign In To Admin</h3>
								</div>
								<form class="kt-form" action="">
									<div class="input-group">
										<input class="form-control" type="text" placeholder="Email" name="email">
									</div>
									<div class="input-group">
										<input class="form-control" type="password" placeholder="Password" name="password">
									</div>
									<div class="row kt-login__extra">
										<div class="col">
											<label class="kt-checkbox">
												<input type="checkbox" name="remember"> Remember me
												<span></span>
											</label>
										</div>
										<div class="col kt-align-right">
											<a href="javascript:;" id="kt_login_forgot" class="kt-login__link">Forget Password ?</a>
										</div>
									</div>
									<div class="kt-login__actions">
										<button id="kt_login_signin_submit" class="btn btn-brand btn-pill kt-login__btn-primary">Sign In</button>
									</div>
								</form>
							</div>
							<div class="kt-login__forgot">
								<div class="kt-login__head">
									<h3 class="kt-login__title">Forgotten Password ?</h3>
									<div class="kt-login__desc">Enter your email to reset your password:</div>
								</div>
								<form class="kt-form" action="">
									<div class="input-group">
										<input class="form-control" type="text" placeholder="Email" name="email" id="kt_email">
									</div>
									<div class="kt-login__actions">
										<button id="kt_login_forgot_submit" class="btn btn-brand btn-pill kt-login__btn-primary">Request</button>&nbsp;&nbsp;
										<button id="kt_login_forgot_cancel" class="btn btn-secondary btn-pill kt-login__btn-secondary">Cancel</button>
									</div>
								</form>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>

		<!-- end:: Page -->

		<!-- begin::Global Config(global config for global JS sciprts) -->
		<script>
			var KTAppOptions = {
				"colors": {
					"state": {
						"brand": "#5d78ff",
						"dark": "#282a3c",
						"light": "#ffffff",
						"primary": "#5867dd",
						"success": "#34bfa3",
						"info": "#36a3f7",
						"warning": "#ffb822",
						"danger": "#fd3995"
					},
					"base": {
						"label": [
							"#c5cbe3",
							"#a1a8c3",
							"#3d4465",
							"#3e4466"
						],
						"shape": [
							"#f0f3ff",
							"#d9dffa",
							"#afb4d4",
							"#646c9a"
						]
					}
				}
			};
		</script>

		<!-- end::Global Config -->

		<!--begin::Global Theme Bundle(used by all pages) -->
		<script src="<?php echo e(asset("backend/dist/assets/plugins/global/plugins.bundle.js")); ?>" type="text/javascript"></script>
		<script src="<?php echo e(asset("backend/dist/assets/js/scripts.bundle.js")); ?>" type="text/javascript"></script>

		<!--end::Global Theme Bundle -->


		<!--begin::Page Scripts(used by this page) -->
        <script type="text/javascript">
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });

            var loginUrl = '<?php echo e(route('login')); ?>';
            var redirectUrl = '<?php echo e(aurl('/')); ?>';
            var successMessage = '<?php echo e(__('main.login_success')); ?>';
        </script>

		<script src="<?php echo e(asset("backend/dist/assets/js/pages/custom/login/login-general.js")); ?>" type="text/javascript"></script>
		<!--end::Page Scripts -->
	</body>

	<!-- end::Body -->
</html>
<?php /**PATH /Users/mohamedselimrefaat/Documents/DevProjects/Laravel/marzouk-backend/resources/views/backend/auth/login.blade.php ENDPATH**/ ?>