<?php echo $__env->make('backend.layout.globals.vue_validation', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<div class="kt-section kt-section--last" :class="{'kt-section--first': !(validation_errors.length > 0)}">
    <div class="kt-section__body">
        <form-wizard @on-complete="send()" ref="wizard" title="" subtitle="" activateAll='true' back-button-text="<?php echo e(__('main.back')); ?>" next-button-text="<?php echo e(__('main.next')); ?>" finish-button-text="<?php echo e(__('main.save')); ?>" color="#34495e">
            <tab-content title="<?php echo e(__('main.info')); ?>" icon="fa fa-info">

                <form-group-input-text v-model="fData.name[lang]" v-for="lang in $languages" :name="'name-' + lang" label_class="col-2" input_class="col-10" :is_required="true" v-validate="'required'" :form_errors="errors" :trans="'<?php echo e(__("main.name")); ?>' + ' (' + lang + ')'"></form-group-input-text>

                <div class="form-group row validated" v-for="lang in $languages">
                    <label class="col-2 col-form-label" :for="'description-' + lang"><?php echo e(__('main.description')); ?> ({{ lang }})</label>
                    <div class="col-10">
                        <textarea v-model="fData.description[lang]" :name="'description-' + lang" class="form-control" placeholder="<?php echo e(__('main.description')); ?>" data-vv-as="<?php echo e(__('main.description')); ?>" :form_errors="errors" :id="'description-' + lang"></textarea>
                        <span v-if="errors.has('description-' + lang)" class="invalid-feedback">
                            {{ errors.first('description-' + lang) }}
                        </span>
                    </div>
                </div><!-- Description -->

                <div class="form-group row" :class="{'validated' : errors.has('logo')}">
                    <label class="col-2 col-form-label"><?php echo e(__('main.logo')); ?></label>
                    <div class="col-lg-10">
                        <div class="kt-avatar kt-avatar--outline" id="kt_user_avatar_4">
                            <div class="kt-avatar__holder" :style="'background-image:url(<?php echo e(asset('/storage')); ?>/'+fData.logo+')'"></div>
                            <label class="kt-avatar__upload" data-toggle="kt-tooltip" data-original-title="Change avatar">
                                <i class="fa fa-pen"></i>
                                <input id='logo' type="file" name="logo" class="form-control" :class="{'is-invalid' : errors.has('logo')}" data-vv-as="<?php echo e(__('main.logo')); ?>" ref="logo" placeholder="<?php echo e(__('main.image')); ?>" accept=".png, .jpg, .jpeg">
                            </label>
                        </div>
                        <span class="form-text text-muted"><?php echo e(__('main.logo')); ?></span>
                        <span class="form-text text-muted"><?php echo e(__('main.allowed_extensions')); ?>: .png, .jpg, .jpeg, .svg</span>
                    </div>
                </div><!--logo -->
            </tab-content><!-- info -->
            <tab-content title="<?php echo e(__('main.contacts')); ?>" icon="fa fa-phone">
                <div class="form-group row validated">
                    <label class="col-2 col-form-label"><?php echo e(trans('main.mobile')); ?> :</label>
                    <input-component input_type="number" input_class="col-10" :name="'mobile'" v-model="fData.mobile"  trans="<?php echo e(__("main.mobile")); ?>" :form_errors="errors"></input-component>
                </div><!-- mobile -->

                <div class="form-group row validated">
                    <label class="col-2 col-form-label"><?php echo e(trans('main.whats')); ?> :</label>
                    <input-component input_type="number" input_class="col-10" :name="'whats'" v-model="fData.whats"  trans="<?php echo e(__("main.whats")); ?>" :form_errors="errors"></input-component>
                </div><!-- whats -->

                <div class="form-group row validated">
                    <label class="col-2 col-form-label"><?php echo e(trans('main.facebook')); ?> :</label>
                    <input-component input_type="url" input_class="col-10" :name="'facebook'" v-model="fData.facebook"  trans="<?php echo e(__("main.facebook")); ?>" :form_errors="errors"></input-component>
                </div><!-- facebook -->

                <div class="form-group row validated">
                    <label class="col-2 col-form-label"><?php echo e(trans('main.youtube')); ?> :</label>
                    <input-component input_type="url" input_class="col-10" :name="'youtube'" v-model="fData.youtube" trans="<?php echo e(__("main.youtube")); ?>" :form_errors="errors"></input-component>
                </div><!-- youtube -->

                <div class="form-group row validated">
                    <label class="col-2 col-form-label"><?php echo e(trans('main.instgram')); ?> :</label>
                    <input-component input_type="url" input_class="col-10" :name="'instgram'" v-model="fData.instgram"  trans="<?php echo e(__("main.instgram")); ?>" :form_errors="errors"></input-component>
                </div><!-- instgram -->

            </tab-content><!-- contacts -->

            <tab-content title="<?php echo e(__('main.location')); ?>" icon="fa fa-map">

                <form-group-input-text label_class="col-2" input_class="col-10" v-for="lang in $languages" :name="'address-' + lang" :form_errors="errors" :trans="'<?php echo e(__("main.address")); ?>' + ' (' + lang + ')'" v-model="fData.address[lang]"></form-group-input-text>
                <div class="form-group row validated">
                    <label class="col-2 col-form-label"><?php echo e(trans('main.location')); ?> :</label>
                    <input-component input_type="text" input_class="col-10" :name="'location'" v-model="fData.location" trans="<?php echo e(__("main.location")); ?>" :form_errors="errors"></input-component>
                </div><!-- youtube -->
                <google-map/>

            </tab-content><!-- location -->


            <tab-content title="<?php echo e(__('main.working_days')); ?>" icon="fa fa-times">
                <div class="form-group row validated" v-for="(meta, index) in fData.working_days">
                    <label class="col-2 col-form-label"><?php echo e(__('main.working_days')); ?></label>
                    <div class="col-3">
                        <Select2 v-validate="'required'" :options="days" v-model="meta.day" :name="'day'+index" data-vv-as="<?php echo e(__('main.day')); ?>" :form_errors="errors" :settings="{placeholder: '<?php echo e(__('main.day')); ?>'}" />
                    </div>
                    <input-component v-validate="'required'" v-model="meta.from_time" :name="'from_time'+index"   input_type="time"   input_class="col-3" :form_errors="errors" :trans="'<?php echo e(__("main.from_time")); ?>'"></input-component>
                    <input-component v-validate="'required'" v-model="meta.to_time"   :name="'to_time'+index"     input_type="time"   input_class="col-3" :form_errors="errors" :trans="'<?php echo e(__("main.to_time")); ?>'"></input-component>

                    <div v-if='index ==0' class="col-1">
                        <button type="button" @click="addOtherMeta('working_days')" class="btn btn-block btn-success btn-elevate">
                            <span class="la la-plus"></span>
                        </button>
                    </div>
                    <div v-if='index !=0'  class="col-1">
                        <button type="button" @click="deleteOtherMeta('working_days', index)" class="btn btn-block btn-danger btn-elevate">
                            <span class="la la-trash"></span>
                        </button>
                    </div>
                </div><!-- working_days -->
            </tab-content><!-- working_days -->

            <tab-content title="<?php echo e(__('main.patient_types')); ?> & <?php echo e(trans('main.price')); ?>" icon="fa fa-ad">
                <div class="form-group row validated" v-for="(meta, index) in fData.patient_type_price">
                    <label class="col-2 col-form-label"><?php echo e(__('main.patient_type')); ?> & <?php echo e(trans('main.price')); ?></label>
                    <div class="col-5">
                        <Select2 v-validate="'required'" :options="patient_types" v-model="meta.patient_type_id" :name="'patient_type_id'+index" data-vv-as="<?php echo e(__('main.patient_type')); ?>" :form_errors="errors" :settings="{placeholder: '<?php echo e(__('main.patient_type')); ?>'}" />
                    </div>
                    <input-component v-validate="'required|min:0'" v-model="meta.price" :name="'price'+index" input_type="number"   input_class="col-4" :form_errors="errors" :trans="'<?php echo e(__("main.price")); ?>'"></input-component>
                    <div v-if='index ==0' class="col-1">
                        <button type="button" @click="addOtherMeta('patient_type_price')" class="btn btn-block btn-success btn-elevate">
                            <span class="la la-plus"></span>
                        </button>
                    </div>
                    <div v-if='index !=0'  class="col-1">
                        <button type="button" @click="deleteOtherMeta('patient_type_price', index)" class="btn btn-block btn-danger btn-elevate">
                            <span class="la la-trash"></span>
                        </button>
                    </div>
                </div><!-- working_days -->
            </tab-content><!-- patient_types -->

        </form-wizard>
    </div>
</div>



<?php /**PATH /home/drmarzouk/public_html/clinic/releases/20220719061117/resources/views/backend/clinics/_partials/_fields.blade.php ENDPATH**/ ?>